Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
03572 Sound Minor Always Dec 12, 2009, 04:17 May 22, 2011, 15:41
Tester jaw970 View Status Public Platform MAME (Self-compiled)
Assigned To Phil Bennett Resolution Fixed OS Windows Vista/7 (64-bit)
Status [?] Resolved Driver pandoras.cpp
Version 0.135u3 Fixed in Version 0.135u4 Build 64-bit
Summary 03572: pandoras: Music pitch/speed is too high.
Description Pandora's Palace - the music is off. You have to play it to know what I am talking about but I have played Pandora's Palace enough to tell you that the music isn't right in 0.135u3
Steps To Reproduce
Additional Information
Flags
Regression Version 0.135u3
Affected Sets / Systems pandoras
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
6
User avatar
No.05254
Tafoid
Administrator
Dec 12, 2009, 04:58
The sound data chip was redumped recently and the clocks were adjusted with proper xtal values in 0.135u3. The divisors might be off which a check with someone who can provide a recording of the pcb can clear up. Setting as possible until we can confirm this speed is actually incorrect. Basing audio differences on previous MAME versions isn't always accurate and original source material is preferred.
User avatar
No.05265
Phil Bennett
Developer
Dec 13, 2009, 12:49
In the process of cleaning it up, I ballsed up Kevin's clock-verification submission and used the wrong clock for the sound components. Thanks OP.
User avatar
No.05860
jaw970
Tester
Mar 12, 2010, 20:19
Hi Phil. Please try Pandora's Palace using 0.137. While the pitch is correct, the music is not quite right. The last note plays incorrectly (not all last notes, only some ... you'll have to play it to see what I mean)

Reference: Bug # 03572

Thanks,
Jason
User avatar
No.05861
Tafoid
Administrator
Mar 12, 2010, 20:54
To make a new bug is senseless.. please don't repeat issues. You made a note here, so we can use this if it needs to be reopened.

What, again, are we judging what is right or wrong on? At this point, let's get some recordings from an original PCB or machine. Basing reports on previous mame version behavior (which might not have been 100% correct) shouldn't be exclusive proof that something is wrong. Before I reopen this, I want some reference recordings, please.
User avatar
No.05862
jaw970
Tester
Mar 12, 2010, 21:00
you are too much Tafoid. Get me a PCB and I'll be glad to test it. Sorry I tried helping.
User avatar
No.05898
Tafoid
Administrator
Mar 21, 2010, 01:05
edited on: Mar 21, 2010, 01:07
I'm going to make a new bug for this one. Might be a AY8910 chip related issue rather than driver.